Package org.opensaml.saml.common.binding.artifact.impl

# Class ExpiringSAMLArtifactMapEntryFactory

java.lang.Object
org.opensaml.saml.common.binding.artifact.impl.ExpiringSAMLArtifactMapEntryFactory

All Implemented Interfaces:
  `SAMLArtifactMap.SAMLArtifactMapEntryFactory`

public class ExpiringSAMLArtifactMapEntryFactory extends Object implements SAMLArtifactMap.SAMLArtifactMapEntryFactory
A factory for instances of `ExpiringSAMLArtifactMapEntry`.

## Constructor Summary

Constructors
Constructor
Description
`ExpiringSAMLArtifactMapEntryFactory()`

## Method Summary

Modifier and Type
Method
Description
`SAMLArtifactMap.SAMLArtifactMapEntry`
`newEntry(String artifact, String issuerId, String relyingPartyId, SAMLObject samlMessage)`
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ExpiringSAMLArtifactMapEntryFactory

public ExpiringSAMLArtifactMapEntryFactory()

## Method Details

### newEntry

@Nonnull public SAMLArtifactMap.SAMLArtifactMapEntry newEntry(@Nonnull @NotEmpty String artifact, @Nonnull @NotEmpty String issuerId, @Nonnull @NotEmpty String relyingPartyId, @Nonnull SAMLObject samlMessage)
Factory method which produces a `SAMLArtifactMap.SAMLArtifactMapEntry`.

Specified by:
  `newEntry` in interface `SAMLArtifactMap.SAMLArtifactMapEntryFactory`
Parameters:
  `artifact` - the artifact
  `issuerId` - ID of the issuer of the artifact
  `relyingPartyId` - ID of the party the artifact was sent to
  `samlMessage` - the SAML message
Returns:
  the new map entry instance